/*
 *  This file is part of M-Index library: https://bitbucket.org/disalab/m-index
 *
 *  M-Index library is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  M-Index library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with M-Index library.  If not, see <http://www.gnu.org/licenses/>.
 */
package mindex;

import messif.data.DataObject;

import java.util.Collection;

/**
 * Created by david on 27/10/16.
 */
public interface IndexObjectInitializer<O> {

    O initObject(DataObject object);

    //O initObject(DataObject object, boolean setObjPivotDistance, boolean allObjPivotDistances);

    Collection<O> initObjects(DataObject [] objects);

    short [] getPPP(O object);

    DataObject getDataObject(O indexObject);

}
