/*
 *  This file is part of M-Index library: https://bitbucket.org/disalab/m-index
 *
 *  M-Index library is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  M-Index library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with M-Index library.  If not, see <http://www.gnu.org/licenses/>.
 */
package mindex.privates;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author xnovak8
 */
public class SwitchLines {

    /**
     * ColorLayoutType;messif.objects.impl.ObjectColorLayout;
     * ColorStructureType;* messif.objects.impl.ObjectShortVectorL1;
     * EdgeHistogramType;messif.objects.impl.ObjectVectorEdgecomp;
     * ScalableColorType;messif.objects.impl.ObjectIntVectorL1;
     * RegionShapeType;messif.objects.impl.ObjectXMRegionShape
     * 
     *         "ColorLayoutType", "ColorStructureType", "ScalableColorType", "EdgeHistogramType", "RegionShapeType"

     */
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        try (BufferedReader fileReader = new BufferedReader(new FileReader("/share/datasets/imageCLEF/2014/profiset-random-249997-SAC.data"));
                BufferedWriter writer = new BufferedWriter(new FileWriter("/share/datasets/imageCLEF/2014/profiset-random-249997-SAC-right.data"))) {
            
            //String [] lines = new String[6];
            String line;
            while (fileReader.ready()) {                
                for (int i = 0; i < 3; i++) {
                    writer.write(fileReader.readLine());
                    writer.write('\n');
                }
                line = fileReader.readLine();
                
                writer.write(fileReader.readLine());
                writer.write('\n');
                writer.write(line);
                writer.write('\n');
                writer.write(fileReader.readLine());
                writer.write('\n');                
            }
            
        } catch (FileNotFoundException ex) {
            Logger.getLogger(SwitchLines.class.getName()).log(Level.SEVERE, null, ex);
        } catch (IOException ex) {
            Logger.getLogger(SwitchLines.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    
}
