/*
 *  This file is part of M-Index library: https://bitbucket.org/disalab/m-index
 *
 *  M-Index library is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  M-Index library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with M-Index library.  If not, see <http://www.gnu.org/licenses/>.
 */
package mindex.privates;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * Created by david on 02/11/16.
 */
public class Test {

    /** Pattern that match variables in control files */
    private static final Pattern objStreamParam = Pattern.compile("([^:]+):([0-9]*)");

    public static void main(String[] args) {
        final Matcher matcher = objStreamParam.matcher("stream:");
        if (matcher.matches()) {
            System.out.println("first: '" + matcher.group(1) + "'");
            if (! matcher.group(2).equals("")) {
                //System.out.println("second: '" + Integer.valueOf(matcher.group(2)).toString() + "'");
                System.out.println("second: '" + matcher.group(2) + "'");
            }
        }
    }
}
